Package com.google.android.exoplayer2.ui

## Interface TimeBar.OnScrubListener

- Enclosing interface:
    TimeBar

      public static interface TimeBar.OnScrubListener

  Listener for scrubbing events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onScrubMove​(TimeBar timeBar, long position)` | Called when the user moves the scrubber.
    `void` | `onScrubStart​(TimeBar timeBar, long position)` | Called when the user starts moving the scrubber.
    `void` | `onScrubStop​(TimeBar timeBar, long position, boolean canceled)` | Called when the user stops moving the scrubber.

- - ### Method Detail

    - #### onScrubStart

          void onScrubStart​(TimeBar timeBar,
                            long position)

      Called when the user starts moving the scrubber.
      Parameters:
        `timeBar` - The time bar.
        `position` - The scrub position in milliseconds.

    - #### onScrubMove

          void onScrubMove​(TimeBar timeBar,
                           long position)

      Called when the user moves the scrubber.
      Parameters:
        `timeBar` - The time bar.
        `position` - The scrub position in milliseconds.

    - #### onScrubStop

          void onScrubStop​(TimeBar timeBar,
                           long position,
                           boolean canceled)

      Called when the user stops moving the scrubber.
      Parameters:
        `timeBar` - The time bar.
        `position` - The scrub position in milliseconds.
        `canceled` - Whether scrubbing was canceled.